use sgf::parse_sgf_file;
use std::path::PathBuf;
use std::env;

fn main() {
    let mut args = env::args();

    let _ = args.next();
    let file = PathBuf::from(args.next().unwrap());

    println!("{:?}", file);

    let games = parse_sgf_file(&file).unwrap();
    games.into_iter().flatten().for_each(|sgf| println!("{:?}", sgf.white_player));
}
